package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DEDataChg2;
import com.sa.ibiz.demo.demo.service.dto.DEDataChg2SearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DEDataChg2] 服务对象接口
 */
public interface DEDataChg2Service extends IService<DEDataChg2>{

	boolean getDraft(DEDataChg2 et);
	boolean remove(DEDataChg2 et);
	boolean checkKey(DEDataChg2 et);
	boolean update(DEDataChg2 et);
		DEDataChg2 get(DEDataChg2 et);
	boolean create(DEDataChg2 et);
    List<DEDataChg2> listDefault(DEDataChg2SearchFilter filter) ;
	Page<DEDataChg2> searchDefault(DEDataChg2SearchFilter filter);
	/**	 实体[DEDataChg2] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }